### Method

# Fwupd SecurityAttr set_plugin

since: 1.5.0

#### Declaration [src]

    void
    fwupd_security_attr_set_plugin (
      FwupdSecurityAttr* self,
      const gchar* plugin
    )

#### Description [src]

Sets the plugin that created the attribute.

Available since: 1.5.0

#### Parameters

`plugin`

  Type: `const gchar*`

  The plugin name.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.